Package com.castlabs.android.player

## Class PlayerViewLifecycleDelegate.ResumeConfiguration.Builder

- java.lang.Object
- - com.castlabs.android.player.PlayerViewLifecycleDelegate.ResumeConfiguration.Builder

- Enclosing class:
    PlayerViewLifecycleDelegate.ResumeConfiguration

      public static final class PlayerViewLifecycleDelegate.ResumeConfiguration.Builder
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Builder()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `PlayerViewLifecycleDelegate.ResumeConfiguration.Builder` | `disableTrickplay​(boolean disableTrickplay)` | Whether to disable any Trickplay mode
    `PlayerViewLifecycleDelegate.ResumeConfiguration` | `get()` | Builds and returns the `PlayerViewLifecycleDelegate.ResumeConfiguration`
    `PlayerViewLifecycleDelegate.ResumeConfiguration.Builder` | `pause​(boolean pause)` | Whether to start the player in a paused state.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder()

  - ### Method Detail

    - #### pause

          public PlayerViewLifecycleDelegate.ResumeConfiguration.Builder pause​(boolean pause)

      Whether to start the player in a paused state.
      Parameters:
        `pause` - the value
      Returns:
        the Builder

    - #### disableTrickplay

          public PlayerViewLifecycleDelegate.ResumeConfiguration.Builder disableTrickplay​(boolean disableTrickplay)

      Whether to disable any Trickplay mode
      Parameters:
        `disableTrickplay` - the value
      Returns:
        the Builder

    - #### get

          public PlayerViewLifecycleDelegate.ResumeConfiguration get()

      Builds and returns the `PlayerViewLifecycleDelegate.ResumeConfiguration`
      Returns:
        the built configuration